[SRU] rocky stable releases

Bug #1806049 reported by Corey Bryant on 2018-11-30
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
Undecided
Unassigned
Rocky
High
Unassigned
ceilometer (Ubuntu)
Undecided
Unassigned
Cosmic
High
Unassigned
cinder (Ubuntu)
Undecided
Unassigned
Cosmic
High
Unassigned
gnocchi (Ubuntu)
Undecided
Unassigned
Cosmic
High
Unassigned
horizon (Ubuntu)
Undecided
Unassigned
Cosmic
High
Unassigned
keystone (Ubuntu)
Undecided
Unassigned
Cosmic
High
Unassigned
neutron (Ubuntu)
Undecided
Unassigned
Cosmic
High
Unassigned
neutron-fwaas (Ubuntu)
Undecided
Unassigned
Cosmic
High
Unassigned
neutron-vpnaas (Ubuntu)
Undecided
Unassigned
Cosmic
High
Unassigned
nova (Ubuntu)
Undecided
Unassigned
Cosmic
High
Unassigned

Bug Description

[Impact]
This release sports mostly bug-fixes and we would like to make sure all of our supported customers have access to these improvements. The update contains the following package updates:

ceilometer 11.0.1
cinder 13.0.2
gnocchi 4.3.2
horizon 14.0.1
keystone 14.0.1
neutron 13.0.2
neutron-fwaas 13.0.1
neutron-vpnaas 13.0.1
nova 18.0.3

[Test Case]
The following SRU process was followed:
https://wiki.ubuntu.com/OpenStackUpdates

In order to avoid regression of existing consumers, the OpenStack team will run their continuous integration test against the packages that are in -proposed. A successful run of all available tests will be required before the proposed packages can be let into -updates.

The OpenStack team will be in charge of attaching the output summary of the executed tests. The OpenStack team members will not mark ‘verification-done’ until this has happened.

[Regression Potential]
In order to mitigate the regression potential, the results of the
aforementioned tests are attached to this bug.

[Discussion]
ceilometer also requires the following to be fixed: https://bugs.launchpad.net/ubuntu/+source/python-pysnmp4/+bug/1806474

Changed in cloud-archive:
status: New → Invalid
Changed in ceilometer (Ubuntu Cosmic):
importance: Undecided → High
status: New → Triaged
Changed in cinder (Ubuntu Cosmic):
importance: Undecided → High
status: New → Triaged
Changed in gnocchi (Ubuntu Cosmic):
importance: Undecided → High
status: New → Triaged
Changed in horizon (Ubuntu Cosmic):
importance: Undecided → High
status: New → Triaged
Changed in keystone (Ubuntu Cosmic):
importance: Undecided → High
status: New → Triaged
Changed in neutron (Ubuntu Cosmic):
importance: Undecided → High
status: New → Triaged
Changed in neutron-fwaas (Ubuntu Cosmic):
importance: Undecided → High
status: New → Triaged
Changed in neutron-vpnaas (Ubuntu Cosmic):
importance: Undecided → High
status: New → Triaged
Changed in nova (Ubuntu Cosmic):
importance: Undecided → High
status: New → Triaged
Changed in nova (Ubuntu):
status: New → Invalid
Changed in ceilometer (Ubuntu):
status: New → Triaged
Changed in cinder (Ubuntu):
status: New → Invalid
Changed in ceilometer (Ubuntu):
status: Triaged → Invalid
Changed in gnocchi (Ubuntu):
status: New → Invalid
Changed in horizon (Ubuntu):
status: New → Invalid
Changed in keystone (Ubuntu):
status: New → Invalid
Changed in neutron (Ubuntu):
status: New → Invalid
Changed in neutron-fwaas (Ubuntu):
status: New → Invalid
Changed in neutron-vpnaas (Ubuntu):
status: New → Invalid
description: updated
description: updated

Hello Corey, or anyone else affected,

Accepted neutron-fwaas into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/neutron-fwaas/1:13.0.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in neutron-fwaas (Ubuntu Cosmic):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Changed in neutron-vpnaas (Ubuntu Cosmic):
status: Triaged → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted neutron-vpnaas into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/neutron-vpnaas/2:13.0.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted keystone into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/keystone/2:14.0.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in keystone (Ubuntu Cosmic):
status: Triaged → Fix Committed
Changed in gnocchi (Ubuntu Cosmic):
status: Triaged → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted gnocchi into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnocchi/4.3.2-0ubuntu0.18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted neutron into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/neutron/2:13.0.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in neutron (Ubuntu Cosmic):
status: Triaged → Fix Committed
Changed in cinder (Ubuntu Cosmic):
status: Triaged → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted cinder into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cinder/2:13.0.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted horizon into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/horizon/3:14.0.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in horizon (Ubuntu Cosmic):
status: Triaged → Fix Committed
Changed in cloud-archive:
status: Invalid → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted ceilometer into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ceilometer/1:11.0.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ceilometer (Ubuntu Cosmic):
status: Triaged → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted nova into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nova/2:18.0.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nova (Ubuntu Cosmic):
status: Triaged → Fix Committed
James Page (james-page) wrote :

Hello Corey, or anyone else affected,

Accepted nova into rocky-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:rocky-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-rocky-needed to verification-rocky-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-rocky-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-rocky-needed
James Page (james-page) wrote :

Hello Corey, or anyone else affected,

Accepted ceilometer into rocky-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:rocky-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-rocky-needed to verification-rocky-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-rocky-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Corey Bryant (corey.bryant) wrote :

Regression tests passed for bionic-rocky-proposed:

======
Totals
======
Ran: 92 tests in 835.8559 sec.
 - Passed: 84
 - Skipped: 8
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 378.4879 sec.

Corey Bryant (corey.bryant) wrote :

Regression tests passed for cosmic-rocky-proposed:

======
Totals
======
Ran: 92 tests in 1052.7056 sec.
 - Passed: 84
 - Skipped: 8
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 548.8815 sec.

Corey Bryant (corey.bryant) wrote :

I've also manually verified the horizon dashboard successfully.

tags: added: verification-done verification-done-cosmic verification-rocky-done
removed: verification-needed verification-needed-cosmic verification-rocky-needed
Łukasz Zemczak (sil2100) wrote :

Sadly, the verification will have to be re-done - it seems like two of the packages from the new stable release set currently FTBFS:

https://launchpad.net/ubuntu/+source/neutron/2:13.0.2-0ubuntu1/+build/15738220
https://launchpad.net/ubuntu/+source/horizon/3:14.0.1-0ubuntu1/+build/15742109

Please check the build failure, make sure they're built and re-run the tests with all the required packages.

Corey Bryant (corey.bryant) wrote :

@Lukasz, the packages have built successfully after a re-build. These two packages are a bit finicky.

Corey Bryant (corey.bryant) wrote :

@Lukasz, I'll re-verify.

Corey Bryant (corey.bryant) wrote :

Regression tests passed for cosmic-proposed:

======
Totals
======
Ran: 92 tests in 811.9563 sec.
 - Passed: 84
 - Skipped: 8
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 373.9930 sec.

Package versions verified:
  neutron 2:13.0.2-0ubuntu1
  horizon 3:14.0.1-0ubuntu1

Corey Bryant (corey.bryant) wrote :

Regression tests passed for rocky-proposed:

======
Totals
======
Ran: 92 tests in 792.9170 sec.
 - Passed: 84
 - Skipped: 8
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 387.9362 sec.

Package versions verified:
  neutron 2:13.0.2-0ubuntu1~cloud0
  horizon 3:14.0.1-0ubuntu1~cloud0

Corey Bryant (corey.bryant) wrote :

I've also manually verified the horizon dashboard successfully.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron-fwaas - 1:13.0.1-0ubuntu1

---------------
neutron-fwaas (1:13.0.1-0ubuntu1) cosmic; urgency=medium

  * d/gbp.conf: Create stable/rocky branch.
  * New stable point release for OpenStack Rocky (LP: #1806049).
  * d/p/pyzmq-disable.patch: Rebased.

 -- Corey Bryant <email address hidden> Mon, 03 Dec 2018 12:21:16 -0500

Changed in neutron-fwaas (Ubuntu Cosmic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for neutron-fwaas has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron-vpnaas - 2:13.0.1-0ubuntu1

---------------
neutron-vpnaas (2:13.0.1-0ubuntu1) cosmic; urgency=medium

  * d/gbp.conf: Create stable/rocky branch.
  * New stable point release for OpenStack Rocky (LP: #1806049).

 -- Corey Bryant <email address hidden> Mon, 03 Dec 2018 12:20:34 -0500

Changed in neutron-vpnaas (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnocchi - 4.3.2-0ubuntu0.18.10.1

---------------
gnocchi (4.3.2-0ubuntu0.18.10.1) cosmic; urgency=medium

  * d/gbp.conf: Create stable/rocky branch.
  * New stable point release for OpenStack Rocky (LP: #1806049).

 -- Corey Bryant <email address hidden> Mon, 03 Dec 2018 12:43:47 -0500

Changed in gnocchi (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package keystone - 2:14.0.1-0ubuntu1

---------------
keystone (2:14.0.1-0ubuntu1) cosmic; urgency=medium

  * d/gbp.conf: Create stable/rocky branch.
  * New stable point release for OpenStack Rocky (LP: #1806049).

 -- Corey Bryant <email address hidden> Mon, 03 Dec 2018 12:21:00 -0500

Changed in keystone (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 2:13.0.2-0ubuntu1

---------------
cinder (2:13.0.2-0ubuntu1) cosmic; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/rocky branch.

  [ James Page ]
  * New upstream release for OpenStack Rocky.
  * d/p: Disable patches to unblock branch testing.

  [ Corey Bryant ]
  * New stable point release for OpenStack Rocky (LP: #1806049).

 -- Corey Bryant <email address hidden> Mon, 03 Dec 2018 16:18:56 -0500

Changed in cinder (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 2:13.0.2-0ubuntu1

---------------
neutron (2:13.0.2-0ubuntu1) cosmic; urgency=medium

  * d/gbp.conf: Create stable/rocky branch.
  * New stable point release for OpenStack Rocky (LP: #1806049).
  * d/p/metadata-use-requests-for-comms-with-nova-api.patch,
    d/p/revert-dvr-add-error-handling.patch,
    d/p/revert-dvr-inter-tenant.patch: Dropped. Fixed in stable point release.

 -- Corey Bryant <email address hidden> Mon, 03 Dec 2018 12:22:57 -0500

Changed in neutron (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova - 2:18.0.3-0ubuntu1

---------------
nova (2:18.0.3-0ubuntu1) cosmic; urgency=medium

  * d/gbp.conf: Create stable/rocky branch.
  * d/p/disk-size-live-migration-overcommit.patch: Cherry-picked from
    https://review.openstack.org/#/c/602477 to ensure proper disk calculation
    during live migration with over-commit (LP: #1744079).
  * New stable point release for OpenStack Rocky (LP: #1806049).

 -- Corey Bryant <email address hidden> Mon, 03 Dec 2018 12:23:48 -0500

Changed in nova (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ceilometer - 1:11.0.1-0ubuntu1

---------------
ceilometer (1:11.0.1-0ubuntu1) cosmic; urgency=medium

  * d/gbp.conf: Create stable/rocky branch.
  * New stable point release for OpenStack Rocky (LP: #1806049).
  * d/control: Ensure min version of python-pysnmp4 picks up consistent
    version (LP: #1806474).

 -- Corey Bryant <email address hidden> Mon, 03 Dec 2018 12:20:33 -0500

Changed in ceilometer (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 3:14.0.1-0ubuntu1

---------------
horizon (3:14.0.1-0ubuntu1) cosmic; urgency=medium

  * d/gbp.conf: Create stable/rocky branch.
  * d/openstack-dashboard.postinst: Ensure that if memcached is installed it is
    restarted in post-install script after collecting/compressing static assets,
    enabling refresh of memcached static assets after upgrade (LP: #1802226).
  * New stable point release for OpenStack Rocky (LP: #1806049).
  * d/p/add-enabled-check-in-backups-panel.patch: Dropped. Fixed in stable
    point release.

 -- Corey Bryant <email address hidden> Tue, 27 Nov 2018 14:17:30 -0500

Changed in horizon (Ubuntu Cosmic):
status: Fix Committed → Fix Released
James Page (james-page) wrote :

The verification of the Stable Release Update for ceilometer has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package ceilometer - 1:11.0.1-0ubuntu1~cloud0
---------------

 ceilometer (1:11.0.1-0ubuntu1~cloud0) bionic-rocky; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 ceilometer (1:11.0.1-0ubuntu1) cosmic; urgency=medium
 .
   * d/gbp.conf: Create stable/rocky branch.
   * New stable point release for OpenStack Rocky (LP: #1806049).
   * d/control: Ensure min version of python-pysnmp4 picks up consistent
     version (LP: #1806474).

James Page (james-page) wrote :

The verification of the Stable Release Update for cinder has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package cinder - 2:13.0.2-0ubuntu1~cloud0
---------------

 cinder (2:13.0.2-0ubuntu1~cloud0) bionic-rocky; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 cinder (2:13.0.2-0ubuntu1) cosmic; urgency=medium
 .
   [ Corey Bryant ]
   * d/gbp.conf: Create stable/rocky branch.
 .
   [ James Page ]
   * New upstream release for OpenStack Rocky.
   * d/p: Disable patches to unblock branch testing.
 .
   [ Corey Bryant ]
   * New stable point release for OpenStack Rocky (LP: #1806049).

James Page (james-page) wrote :

The verification of the Stable Release Update for gnocchi has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package gnocchi - 4.3.2-0ubuntu0.18.10.1~cloud0
---------------

 gnocchi (4.3.2-0ubuntu0.18.10.1~cloud0) bionic-rocky; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 gnocchi (4.3.2-0ubuntu0.18.10.1) cosmic; urgency=medium
 .
   * d/gbp.conf: Create stable/rocky branch.
   * New stable point release for OpenStack Rocky (LP: #1806049).

James Page (james-page) wrote :

The verification of the Stable Release Update for horizon has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package horizon - 3:14.0.1-0ubuntu1~cloud0
---------------

 horizon (3:14.0.1-0ubuntu1~cloud0) bionic-rocky; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 horizon (3:14.0.1-0ubuntu1) cosmic; urgency=medium
 .
   * d/gbp.conf: Create stable/rocky branch.
   * d/openstack-dashboard.postinst: Ensure that if memcached is installed it is
     restarted in post-install script after collecting/compressing static assets,
     enabling refresh of memcached static assets after upgrade (LP: #1802226).
   * New stable point release for OpenStack Rocky (LP: #1806049).
   * d/p/add-enabled-check-in-backups-panel.patch: Dropped. Fixed in stable
     point release.

James Page (james-page) wrote :

The verification of the Stable Release Update for keystone has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package keystone - 2:14.0.1-0ubuntu1~cloud0
---------------

 keystone (2:14.0.1-0ubuntu1~cloud0) bionic-rocky; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 keystone (2:14.0.1-0ubuntu1) cosmic; urgency=medium
 .
   * d/gbp.conf: Create stable/rocky branch.
   * New stable point release for OpenStack Rocky (LP: #1806049).

James Page (james-page) wrote :

The verification of the Stable Release Update for neutron has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package neutron - 2:13.0.2-0ubuntu1~cloud0
---------------

 neutron (2:13.0.2-0ubuntu1~cloud0) bionic-rocky; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 neutron (2:13.0.2-0ubuntu1) cosmic; urgency=medium
 .
   * d/gbp.conf: Create stable/rocky branch.
   * New stable point release for OpenStack Rocky (LP: #1806049).
   * d/p/metadata-use-requests-for-comms-with-nova-api.patch,
     d/p/revert-dvr-add-error-handling.patch,
     d/p/revert-dvr-inter-tenant.patch: Dropped. Fixed in stable point release.

James Page (james-page) wrote :

The verification of the Stable Release Update for neutron-fwaas has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package neutron-fwaas - 1:13.0.1-0ubuntu1~cloud0
---------------

 neutron-fwaas (1:13.0.1-0ubuntu1~cloud0) bionic-rocky; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 neutron-fwaas (1:13.0.1-0ubuntu1) cosmic; urgency=medium
 .
   * d/gbp.conf: Create stable/rocky branch.
   * New stable point release for OpenStack Rocky (LP: #1806049).
   * d/p/pyzmq-disable.patch: Rebased.

James Page (james-page) wrote :

The verification of the Stable Release Update for nova has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package nova - 2:18.0.3-0ubuntu1~cloud0
---------------

 nova (2:18.0.3-0ubuntu1~cloud0) bionic-rocky; urgency=medium
 .
   * New update for the Ubuntu Cloud Archive.
 .
 nova (2:18.0.3-0ubuntu1) cosmic; urgency=medium
 .
   * d/gbp.conf: Create stable/rocky branch.
   * d/p/disk-size-live-migration-overcommit.patch: Cherry-picked from
     https://review.openstack.org/#/c/602477 to ensure proper disk calculation
     during live migration with over-commit (LP: #1744079).
   * New stable point release for OpenStack Rocky (LP: #1806049).

James Page (james-page) on 2019-01-07
Changed in cloud-archive:
status: Fix Committed → Invalid
Corey Bryant (corey.bryant) wrote :

The verification of the Stable Release Update for neutron-vpnaas has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Corey Bryant (corey.bryant) wrote :

This bug was fixed in the package neutron-vpnaas - 2:13.0.1-0ubuntu1~cloud0
---------------

 neutron-vpnaas (2:13.0.1-0ubuntu1~cloud0) bionic-rocky; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 neutron-vpnaas (2:13.0.1-0ubuntu1) cosmic; urgency=medium
 .
   * d/gbp.conf: Create stable/rocky branch.
   * New stable point release for OpenStack Rocky (LP: #1806049).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers